Foxit PDF SDK

Instance Methods | Properties | List of all members
FSBorderInfo Class Reference

Inherits NSObject.

## Instance Methods
(id) | - init
| Constructor.
(id) | - initWithBorder_info:
| Constructor, with another border information object. More...
(id) | - initWithWidth:style:intensity:dash_phase:dashes:
| Constructor, with parameters. More...
(void) | - set:style:intensity:dash_phase:dashes:
| Set value. More...

## Properties
float | cloud_intensity
| Intensity of the cloudy effect. More...
float | dash_phase
| Dash phase. More...
FSFloatArray * | dashes
| A dash array that represents the dash patterns. More...
FSBorderInfoStyle | style
| Border style. Please refer to values starting from FSBorderInfoSolid and this should be one of these values. Please also check comment of these values for more details.
float | width
| Border width, in points. More...

## Detailed Description

This class represents annotation border information.

## Method Documentation

## ◆ initWithBorder_info:()

- (id) initWithBorder_info: |  | (FSBorderInfo*) | border_info |

Constructor, with another border information object.

Parameters

  [in] | border_info | Another border information object.

## ◆ initWithWidth:style:intensity:dash_phase:dashes:()

- (id) initWithWidth: |  | (float) | width
style: |  | (FSBorderInfoStyle) | style
intensity: |  | (float) | intensity
dash_phase: |  | (float) | dash_phase
dashes: |  | (FSFloatArray*) | dashes

Constructor, with parameters.

Parameters

  [in] | width | Border width, in points. This should be a non-negative value. If this value is 0, no border is drawn.
  [in] | style | Border style. Please refer to values starting from FSBorderInfoSolid and this should be one of these values.
  [in] | intensity | Intensity of the cloudy effect. Only useful when parameter style is FSBorderInfoCloudy. Valid value range: 0 to 2. 0 means no cloudy border effect. If the value is below 0, it will have the same effect as value 0. If the value is above 2, it will have the same effect as value 2.
  [in] | dash_phase | Dash phase. Only useful when parameter style is FSBorderInfoDashed.
  [in] | dashes | A dash array that represents the dash patterns. The value of each element in this array should not be negative. Only useful when style is FSBorderInfoDashed.

## ◆ set:style:intensity:dash_phase:dashes:()

- (void) set: |  | (float) | width
style: |  | (FSBorderInfoStyle) | style
intensity: |  | (float) | intensity
dash_phase: |  | (float) | dash_phase
dashes: |  | (FSFloatArray*) | dashes

Set value.

Parameters

  [in] | width | Border width, in points. This should be a non-negative value. If this value is 0, no border is drawn.
  [in] | style | Border style. Please refer to values starting from FSBorderInfoSolid and this should be one of these values.
  [in] | intensity | Intensity of the cloudy effect. Only useful when parameter style is FSBorderInfoCloudy. Valid value range: 0 to 2. 0 means no cloudy border effect. If the value is below 0, it will have the same effect as value 0. If the value is above 2, it will have the same effect as value 2.
  [in] | dash_phase | Dash phase. Only useful when parameter style is FSBorderInfoDashed.
  [in] | dashes | A dash array that represents the dash patterns. The value of each element in this array should not be negative. Only useful when style is FSBorderInfoDashed.

Returns
  None.

## Property Documentation

## ◆ cloud_intensity

- (float) cloud_intensity
| read write nonatomic assign

Intensity of the cloudy effect.

This is only useful to free text, square, circle, and polygon annotations when style of current object is FSBorderInfoCloudy.
Suggested value range: 0 to 2. 0 means no cloudy border effect.
For rest value, their effect would be:

- If the value is below 0, it will have the same effect as value 0.
- If the value is above 2, it will have the same effect as value 2.

## ◆ dash_phase

- (float) dash_phase
| read write nonatomic assign

Dash phase.

Only useful when style of current object is FSBorderInfoDashed.

## ◆ dashes

- (FSFloatArray *) dashes
| read write nonatomic weak

A dash array that represents the dash patterns.

Only useful when style of current object is FSBorderInfoDashed.
The value of elements in this array should not be negative.

## ◆ width

- (float) width
| read write nonatomic assign

Border width, in points.

This value should not be negative. If this value is 0, no border will be drawn.